GOPHIAN(1)

NAME

gophian - Tools to help with Debianizing Go software

SYNOPSIS

gophian <SUBCOMMAND> [OPTIONS]

DESCRIPTION

Gophian is a featureful and intelligent tool to assist developers in packaging Go software for the Debian distribution.

So you want to package some nifty piece of software you found, and it's written in Go? Look no further than Gophian! To start out, make sure that it hasn't already been packaged using https://packages.debian.org or "apt search". Ensure that there isn't already an existing effort by checking for any open Intent to Package (ITP) bugs using wnpp-check(1).

Next, you'll want to use gophian-estimate(1) to estimate the amount of work that will be needed to package this software for Debian. This subcommand will list any dependencies that are not available as packages in Debian yet in a tree format. gophian-estimate-graphviz(1) may also be useful to create a visual tree with Graphviz, especially for large or complex dependency graphs.

Then, you can use gophian-make(1) to prepare some initial Debian packaging for the software, including setting up a Git repo, importing the latest upstream version, and creating some packaging templates, inferring and filling in values for you when available. Refer to gophian-make(1) for an in-depth explanation of this subcommand's use.

Refer to the individual subcommand manual pages for more detailed information.

SUBCOMMANDS

create-salsa-repo - See gophian-create-salsa-repo(1)

estimate - See gophian-estimate(1)

estimate-graphviz - See gophian-estimate-graphviz(1)

license-text - See gophian-license-text(1)

make - See gophian-make(1)

search - See gophian-search(1)

show - See gophian-show(1)

OPTIONS

--version - Print version and exit.

--copyright - Print copyright notice and exit.

--help - Show help message and exit.

ENVIRONMENT

The Gophian utility supports the standard DEBFULLNAME and DEBEMAIL environment variables. See devscripts(1) for more information about these variables.

AUTHORS

Maintained by Maytham Alsudany <maytham@debian.org>.

REPORTING BUGS

Please submit bugs to https://codeberg.org/Maytha8/gophian/issues. Alternatively, you may send an email directly to the author, see AUTHORS.

SEE ALSO

gophian-create-salsa-repo(1), gophian-estimate(1), gophian-estimate-graphviz(1), gophian-license-text(1), gophian-make(1), gophian-search(1), gophian-show(1)